/*
Menu

1. Block temps sensible
2. Block direction vent
3. Param mer
4. Méteo jours
5. Media query

*/

@import url('https://fonts.googleapis.com/css?family=Montserrat&display=swap');

* {
    font-family: 'Nunito Sans';
}

h2 {
    padding: 10px 0px;
}

/* Block temps sensible */
.encart {
    max-width: 900px;
    display: inline-flex;
    width: 100%;
}

.block {
    margin: 0 3px;
    padding: 5px;
    background: #f7f0e4;
    width: 25%;
}

.blocNuit {
    background: #c7c6c6;
}

.block h4 {
    text-transform: uppercase;
    margin: 15px;
}

.block img {
    max-width: 60px;
    margin-right: 15%;
}

.block p {
    text-align: center;
    margin-top: 15%;
    font-size: 14px;
}

.block div {
    align-items: center;
    display: flex;
    justify-content: center;
    font-size: 26px;
    height: 50px;
}

/* Block direction vent */
img.n {
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg)
}

img.nne {
    -webkit-transform: rotate(202.5deg);
    transform: rotate(202.5deg)
}

img.ne {
    -webkit-transform: rotate(225deg);
    transform: rotate(225deg)
}

img.ene {
    -webkit-transform: rotate(247.5deg);
    transform: rotate(247.5deg)
}

img.e {
    -webkit-transform: rotate(270deg);
    transform: rotate(270deg)
}

img.ese {
    -webkit-transform: rotate(292.5deg);
    transform: rotate(292.5deg)
}

img.se {
    -webkit-transform: rotate(315deg);
    transform: rotate(315deg)
}

img.sse {
    -webkit-transform: rotate(337.5deg);
    transform: rotate(337.5deg)
}

img.s {
    -webkit-transform: rotate(0);
    transform: rotate(0)
}

img.sso {
    -webkit-transform: rotate(22.5deg);
    transform: rotate(22.5deg)
}

img.so {
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg)
}

img.oso {
    -webkit-transform: rotate(77.5deg);
    transform: rotate(77.5deg)
}

img.o {
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg)
}

img.ono {
    -webkit-transform: rotate(112.5deg);
    transform: rotate(112.5deg)
}

img.no {
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg)
}

img.nno {
    -webkit-transform: rotate(157.5deg);
    transform: rotate(157.5deg)
}

.encartWind {
    margin-top: 5px;
    max-width: 900px;
    display: inline-flex;
    width: 100%;
    text-align: center;
}

.windBlock {
    margin: 0 3px;
    padding: 5px;
    background: #f7f0e4;
    width: 25%;
}

.nightWind {
    background: #c7c6c6;
}

.windBlock h4, .nightWind h4 {
    margin: 10px 0 10px 0;
}

.windBlock img {
    max-width: 50px;
    margin-top: 10px;
}

.windBlock span {
    font-size: 14px;
}

.windBlock .air img {
    max-width: 50px;
    margin-top: 30px;
}

.windBlock p {
    float: right;
}

.encartWind .air {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    margin-top: 35px;
    font-size: 14px;
}

.wind {
    height: 45px;
    font-size: 14px;
}

/* Param mer */

.sea p {
    margin: 10px;
    display: flex;
}

/* Météo jours */

.items {
    max-width: 900px;
    width: 100%;
    transition: all 700ms ease-in-out;
}

.slide {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50%;
}

.days {
    margin: 0 3px;
    padding: 3px;
    background: #f7f0e4;
    text-align: center;
    width: 25%;
}

.days > p {
    font-size: 14px;
}

.days span img {
    max-width: 50px;
}

.days .picto {
    height: 45px;
}

.days .picto img {
    max-width: 55px;
}

.temp hr {
    width: 50px;
}

.temp p {
    margin: 10px 0 10px 0;
}

/* Media query */
@media (min-width: 661px) {
    .items {
        display: inline-flex;
    }
}

@media (max-width: 660px) {

    * {
        box-sizing: border-box;
    }

    body {
        color: #333;
        font-weight: 600;
        text-align: center;
    }

    .encart, .encartWind {
        width: 100%;
    }

    /* Block temps sensible */
    .block .weatherBlock {
        height: 80px;
        margin: 10px 0;
    }

    .block div {
        display: block;
    }

    .block img {
        max-width: 40px;
        margin: 5px 0;
    }

    .block h4 {
        margin: 10px 0;
        height: 40px;
    }

    /* Block direction vent */
    .windBlock .air {
        display: block;
    }

    .encartWind h4, .wind {
        height: 55px;
    }

    /* Météo jours - slider */
    .days {
        width: 20%;
    }

    .slider {
        position: absolute;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 345px;
        height: 300px;
    }

    .wrapper {
        overflow: hidden;
        position: relative;
        z-index: 1;
        top: 50%;
        height: 250px;
    }

    #items {
        width: 10000px;
        position: relative;
        left: 0px;
    }

    #items.shifting {
        transition: left .2s ease-out;
    }

    .slide {
        width: 410px;
        cursor: pointer;
        float: left;
        display: flex;
        flex-direction: column;
        justify-content: center;
        transition: all 1s;
        position: relative;
        background: #FFF;
        display: -webkit-inline-box;
        display: inline-box;
    }

    .control {
        position: absolute;
        top: 0%;
        width: 40px;
        height: 40px;
        background: #fff;
        border-radius: 10px;
        margin-top: -20px;
        box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.3);
        z-index: 2;
    }

    .prev,
    .next {
        background-size: 20px;
        background-position: center;
        background-repeat: no-repeat;
        cursor: pointer;
        top: 85%;
        opacity: 0.7;
    }

    .prev {
        background-image: url(img/left-chevron.svg);
        left: -22px;
    }

    .next {
        background-image: url(img/right-chevron.svg);
        right: -22px;
    }

    .prev:active,
    .next:active {
        transform: scale(0.8);
    }

}
